Gallery Platform API
Reference

List sales

Lists the gallery's sales (newest first) with cursor pagination. Filter by `status`, or search with `q` — matches the buyer contact's name (minimum 3 characters).

GET
/gallery/sales

Lists the gallery's sales (newest first) with cursor pagination. Filter by status, or search with q — matches the buyer contact's name (minimum 3 characters).

Authorization

bearerAuth sales:read
AuthorizationBearer <token>

A gallery API key, sent as Authorization: Bearer gpk_… (or the x-api-key header).

In: header

Scope: sales:read

Query Parameters

limit?integer
Range1 <= value <= 100
Default20
cursor?string
status?string

Value in

  • "draft"
  • "confirmed"
  • "completed"
  • "canceled"
  • "refunded"
q?string
Length3 <= length <= 200
buyer_contact_id?string
tag_id?array<string>
Items1 <= items <= 10

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

{  "data": [    {      "id": "string",      "buyer_contact_id": "string",      "sold_by": "string",      "status": "draft",      "currency": "string",      "sale_date": "string",      "gross_cents": -9007199254740991,      "discount_cents": -9007199254740991,      "net_cents": -9007199254740991,      "fx_as_of": "string",      "fx_usd_per_unit": 0,      "fx_base_currency": "string",      "fx_base_usd_per_unit": 0,      "base_amount_cents": -9007199254740991,      "notes": "string",      "metadata": {        "property1": "string",        "property2": "string"      },      "created_at": "string",      "updated_at": "string",      "items": [        {          "id": "string",          "artwork_id": "string",          "list_price_cents": -9007199254740991,          "discount_cents": -9007199254740991,          "sold_price_cents": -9007199254740991,          "consignor_share_bps": 0,          "consignee_share_bps": 0,          "third_party_share_bps": 0,          "consignor_net_price_cents": 0,          "metadata": {            "property1": "string",            "property2": "string"          },          "created_at": "string"        }      ]    }  ],  "next_cursor": "string"}